Loading...
Searching...
No Matches
mpitraits.hh File Reference
Common » Parallel Communication

Traits classes for mapping types onto MPI_Datatype. More...

`#include <complex>`
`#include <cstddef>`
`#include <cstdint>`
`#include <type_traits>`
`#include <utility>`
`#include <mpi.h>`

Go to the source code of this file.

## Classes

struct | Dune::MPITraits< T >
| A traits class describing the mapping of types onto MPI_Datatypes. More...

## Namespaces

namespace | Dune
| Dune namespace

## Variables

template<class T>
MPI_Datatype | Dune::MPITraits< T >::datatype = MPI_DATATYPE_NULL

## Detailed Description

Traits classes for mapping types onto MPI_Datatype.

Author
  Markus Blatt